Measure
POST /v1/measure
Build an effect report from a guide loop, manual comparison, or product trace.
Measure is used for operator reporting, benchmark analysis, and admission policy evaluation. It does not execute tools.
Request body
Send either:
| Shape | Required fields |
|---|---|
| Manual pair | baseline and aionis observations. |
| Product trace | product_trace with after_guide and either baseline or before_guide. |
Optional fields:
| Field | Type | Description |
|---|---|---|
tenant_id / scope | string | Identity boundary. |
task | object | task_id, run_id, task_signature, task_family, workflow_signature. |
minEffectDelta | number | Minimum effect delta for pass/fail scoring. |
minAionisScore | number | Minimum Aionis score for scoring. |
comparison | object | Comparison mode and run IDs. |
evidence_ids | string[] | Evidence IDs supporting the measurement. |
Example
curl -s http://127.0.0.1:3001/v1/measure \
-H 'content-type: application/json' \
-d '{
"tenant_id": "default",
"scope": "checkout-migration",
"task": {
"run_id": "run-001",
"task_signature": "checkout-migration"
},
"product_trace": {
"baseline": {
"label": "before-guide"
},
"after_guide": {
"agent_context": {},
"repeated_discovery_steps": 0
},
"forget_result": {
"operation": "activate"
},
"sufficient_evidence": true
}
}'SDK
const measure = await aionis.measure({
task: {
run_id: "run-001",
task_signature: "checkout-migration",
},
product_trace: {
baseline: { label: "before-guide" },
after_guide: {
agent_context: guide.agent_context,
},
forget_result: feedback,
sufficient_evidence: true,
},
});Response
| Field | Meaning |
|---|---|
contract_version | aionis_measure_result_v1. |
measurement_input | Normalized input used by the evaluator. |
effect_report | Product-level effect report. |
memory_decision_trace | Included when measuring from product trace. |
memory_decision_audit | Included when measuring from product trace. |
kernel_report | Low-level scoring output. |